/*
  Main SCSS
*/

// Variables
@import "_variables";

// Dependencies
@import "tailwindcss/base";
@import "tailwindcss/components";
@import "tailwindcss/utilities";
@import '~animate-sass/_animate.scss';

// App styles
@import "anchor.scss";
@import "fonts.scss";
@import "heading.scss";

/* Global */

* {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
}

html,
body {
  @apply _font-roboto;
  min-height: 100%;
  width: 100%;
}

body {
  @apply bg-light;
  @apply dark:bg-dark;
  @apply text-dark;
  @apply dark:text-light;
  overflow-y: scroll;
}

/* animate.css special classes */

/* -> because animate-sass is used */

/* Delay classes (100ms to 10s) every 50ms */
@for $i from 100 through 10000 {
  @if $i % 50 == 0 {
    ._delay-#{$i}ms {
      animation-delay: ($i * 1ms);
    }
  }
}

._veryfast {
  animation-duration: 0.25s;
}

._fast {
  animation-duration: 0.5s;
}

._slow {
  animation-duration: 2s;
}

._slower {
  animation-duration: 3s;
}

/* Keyframes */

@keyframes rolling {
  0% { transform: rotate(0); }
  100% { transform: rotate(360deg); }
}
